      function lsdJml(m,l)

C*********************************************************************
C
C This is Lee & Saio's function Jml, which is defined in their MNRAS
C (1987) 221, 513-526 paper, and many other of their papers. It is
C a function of two integeral variables m and l.
C
C (c) Richard Townsend 1995 
C
C*********************************************************************

      implicit none	! Turn off implicit typing

C Declare the passed variables

      double precision lsdJml
      integer m     	! The value of m to calculate Jml for
      integer l		! The value of l to calculate Jml for

C Set up the value of Jml...

      if (l.gt.abs(m)) then
        lsdJml=dsqrt((l**2-m**2)/(4.D0*l**2-1.D0))
      else
        lsdJml=0.D0
      endif

C Return...

      return

      end
